### Class

# GUPnP Device

#### Description [src]

    class GUPnP.Device : GUPnP.DeviceInfo
    {
      /* No available fields */
    }

Base class for UPnP device implementations.

`GUPnPDevice` allows for retrieving a device’s sub-devices and services. `GUPnPDevice` implements the `GUPnPDeviceInfo` interface.

#### Ancestors

- GUPnPDeviceInfo
- GObject

#### Descendants

- GUPnPRootDevice

#### Instance methods

##### Methods inherited from GUPnPDeviceInfo (28)

Please see GUPnPDeviceInfo for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### GUPnP.Device:root-device

The containing `GUPnPRootDevice`, or NULL if this is the root device.

##### Properties inherited from GUPnPDeviceInfo (8)

###### GUPnP.DeviceInfo:context

The `GUPnPContext` to use.

###### GUPnP.DeviceInfo:device-type

The device type, e.g. `urn:schemas-upnp-org:device:InternetGatewayDevice:1`.

###### GUPnP.DeviceInfo:document

The description document.

###### GUPnP.DeviceInfo:element

Private property.

###### GUPnP.DeviceInfo:location

The location of the device description file.

###### GUPnP.DeviceInfo:resource-factory

The resource factory to use. Set to NULL for default factory.

###### GUPnP.DeviceInfo:udn

The UDN of this device.

###### GUPnP.DeviceInfo:url-base

The URL base (`GUri`).

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPDeviceClass {
      GUPnPDeviceInfoClass parent_class;
      void (* _gupnp_reserved1) (
    void
      );
      void (* _gupnp_reserved2) (
    void
      );
      void (* _gupnp_reserved3) (
    void
      );
      void (* _gupnp_reserved4) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GUPnPDeviceInfoClass`

  No description available.

`_gupnp_reserved1: void (* _gupnp_reserved1) ( void )`

  No description available.

`_gupnp_reserved2: void (* _gupnp_reserved2) ( void )`

  No description available.

`_gupnp_reserved3: void (* _gupnp_reserved3) ( void )`

  No description available.

`_gupnp_reserved4: void (* _gupnp_reserved4) ( void )`

  No description available.